/*******************************************************************************
 *                               lightconfig.h                                 *
 *              =---------------------------------------------=                *
 *                begin       : Jan 06 2006                                    *
 *                author      : Jun Oyama (aka Metrocrusader)  (C) 2006        *
 *                email       : metrocrusader@mail.com                         *
 *******************************************************************************/
/*
 *      Copyright  :     See COPYING file that comes with this distribution
 */


#ifndef LIGHTCONFIG_H
#define LIGHTCONFIG_H


#include <qobject.h>
#include "configdialog.h"


class KConfig;
class ConfigDialog;

class LightConfig : public QObject {
  Q_OBJECT
public:
  LightConfig(KConfig* config, QWidget* parent);
  ~LightConfig();
  
signals:
  void changed();
  
public slots:
  void load(KConfig *);
  void save(KConfig *);
  void defaults();
  
protected slots:
  void selectionChanged(int);
  void textChanged(const QString &); 
  void colorChanged(const QColor &);
  
private:
  KConfig *config_;
  ConfigDialog *dialog_;

};


#endif // LIGHTCONFIG_H
